You are not logged in.

#1 2018-07-02 02:46:45

Hayley
Member
Registered: 2018-07-02
Posts: 3

Weird wxWidgets failure across the system after system upgrade?

Not so much a newbie to Arch Linux, but a newbie here so... I guess this is the place.

For some reason, after a system upgrade, various applications ranging from CodeBlocks to Audacity are now refusing to start because:

error while loading shared libraries: libwx_baseu_net-3.0.so.0: cannot open shared object file: No such file or directory

Indeed, running ldd on these applications reveals:

ldd /usr/bin/codeblocks
        linux-vdso.so.1 (0x00007ffe6b0ed000)
        libcodeblocks.so.0 => /usr/lib/libcodeblocks.so.0 (0x00007fce4cb34000)
        libwx_gtk3u_aui-3.0.so.0 => /usr/lib/libwx_gtk3u_aui-3.0.so.0 (0x00007fce4c8a3000)
        libwx_gtk3u_propgrid-3.0.so.0 => /usr/lib/libwx_gtk3u_propgrid-3.0.so.0 (0x00007fce4c5bc000)
        libwx_gtk3u_xrc-3.0.so.0 => /usr/lib/libwx_gtk3u_xrc-3.0.so.0 (0x00007fce4c2c8000)
        libwx_gtk3u_html-3.0.so.0 => /usr/lib/libwx_gtk3u_html-3.0.so.0 (0x00007fce4bff7000)
        libwx_gtk3u_qa-3.0.so.0 => /usr/lib/libwx_gtk3u_qa-3.0.so.0 (0x00007fce4bdc8000)
        libwx_gtk3u_adv-3.0.so.0 => /usr/lib/libwx_gtk3u_adv-3.0.so.0 (0x00007fce4b9f9000)
        libwx_gtk3u_core-3.0.so.0 => /usr/lib/libwx_gtk3u_core-3.0.so.0 (0x00007fce4b1dd000)
        libwx_baseu_net-3.0.so.0 => not found
        libwx_baseu-3.0.so.0 => not found

I assumed the problem is wxWidgets related, but there doesn't seem to be any bugs associated with it in their tracker.

Bizarrely, when I look in the /usr/lib files, I find what appear to be newer versions (3.1.so), with no older 3.0.x versions present.

ls /usr/lib | grep wx
libgnuradio-wxgui-3.7.11.so
libgnuradio-wxgui-3.7.11.so.0
libgnuradio-wxgui-3.7.11.so.0.0.0
libgnuradio-wxgui.so
libwx_baseu-3.1.so
libwx_baseu-3.1.so.1
libwx_baseu-3.1.so.1.0.0
libwx_baseu_net-3.1.so
libwx_baseu_net-3.1.so.1
libwx_baseu_net-3.1.so.1.0.0
libwx_baseu_xml-3.1.so
libwx_baseu_xml-3.1.so.1
libwx_baseu_xml-3.1.so.1.0.0

Reverting wxgtk3 to the pacman cache does not restore these "older" files.

For the first time in years of using Arch, I'm genuinely stumped. Anyone have any hints or ideas?

Offline

#2 2018-07-02 02:49:44

Scimmia
Fellow
Registered: 2012-09-01
Posts: 10,015

Re: Weird wxWidgets failure across the system after system upgrade?

pacman -Qs wxgtk

That should point you in the right direction.

Offline

#3 2018-07-02 02:51:55

Hayley
Member
Registered: 2018-07-02
Posts: 3

Re: Weird wxWidgets failure across the system after system upgrade?

That command returns:

local/lib32-wxgtk2 3.0.4-1
    GTK+ implementation of wxWidgets API for GUI
local/wxgtk-common-dev 3.1.1-1
    Common libraries and headers for wxgtk2 and wxgtk3
local/wxgtk2 3.0.4-1
    GTK+2 implementation of wxWidgets API for GUI
local/wxgtk3 3.0.4-1
    GTK+3 implementation of wxWidgets API for GUI

Offline

#4 2018-07-02 02:53:21

Scimmia
Fellow
Registered: 2012-09-01
Posts: 10,015

Re: Weird wxWidgets failure across the system after system upgrade?

...and the issue is obvious from that.

Offline

#5 2018-07-02 03:13:55

Hayley
Member
Registered: 2018-07-02
Posts: 3

Re: Weird wxWidgets failure across the system after system upgrade?

... ooooohhhhhh, I see! So the wxgtk-common install was from dev and was thus out of sync with the other versions I was using. Overwriting it with the wxgtk-common regular fixed it. Thanks!

I'm guessing this odd situation arose from last winter when I did some contributions to wxWidgets and had a different setup to enable that. I think staring at terminal readouts until 4am numbed my brain!

Offline

Board footer

Powered by FluxBB